package org.apache.commons.lang3.mutable;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.io.Serializable;
import org.apache.commons.lang3.mutable.Mutable;

public class MutableObject<T> implements Mutable<T>, Serializable {
  private static final long serialVersionUID = 86241875189L;
  
  private T value;
  
  public MutableObject() {}
  
  public MutableObject(T value) {
    this.value = value;
  }
  
  public T getValue() {
    return this.value;
  }
  
  public void setValue(T value) {
    this.value = value;
  }
  
  public boolean equals(Object obj) {
    if (obj == null)
      return false; 
    if (this == obj)
      return true; 
    if (getClass() == obj.getClass()) {
      org.apache.commons.lang3.mutable.MutableObject<?> that = (org.apache.commons.lang3.mutable.MutableObject)obj;
      return this.value.equals(that.value);
    } 
    return false;
  }
  
  public int hashCode() {
    return (this.value == null) ? 0 : this.value.hashCode();
  }
  
  public String toString() {
    return (this.value == null) ? "null" : this.value.toString();
  }
}
